#include "mainwindow.h"
#include <qfile.h>
#include <qfiledialog.h>
#include <qtextstream.h>
#include <qstring.h>
#include <qlistview.h>
#include "contact.h"
#include <iostream>

/* BRL
 *  Constructs a MainWindow which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f' 
 */
MainWindow::MainWindow( QWidget* parent,  const char* name, WFlags fl )
    : CMainWindowBase( parent, name, fl )
{
	//connect(LoadButton, SIGNAL(clicked()), SLOT(slotLoad()));
}

/*  
 *  Destroys the object and frees any allocated resources
 */
MainWindow::~MainWindow()
{
    // no need to delete child widgets, Qt does it all for us
}

/* 
 * public slot
 */
void MainWindow::slotSave()
{
    qWarning( "MainWindow::slotSave() not yet implemented!" ); 
}
/* 
 * public slot
 */
void MainWindow::slotAdd()
{
    qWarning( "MainWindow::slotAdd() not yet implemented!" ); 
}
/* 
 * public slot
 */
void MainWindow::slotDel()
{
    qWarning( "MainWindow::slotDel() not yet implemented!" ); 
}
/* 
 * public slot
 */
void MainWindow::slotLoad()
{
	QString filename(QFileDialog::getOpenFileName(0, "Adressfiler (*.adr)", this)); 
	cout << "Funkar";
	QFile f(filename);
	if ( !f.open( IO_ReadOnly ) )
		    return;
	
	QTextStream t(&f);

	while (!t.eof())
	{
		QString fname = t.readLine();
		QString lname = t.readLine();
		QString adr		= t.readLine();
		QString pn		= t.readLine();
    if (fname == "" && lname == "" && lname == "" && pn == "")
			      continue;
		(void) new CContact(fname, lname, adr, pn);
	}
	updateView();
}
/* 
 * public slot
 */
void MainWindow::slotSearch()
{
    qWarning( "MainWindow::slotSearch() not yet implemented!" ); 
}


/*
 * This funtion puts all contacts in the listview
 */
void MainWindow::updateView()
{
	
	ContactView->clear();

	CContact* contact = CContact::getFirst();

	int i = 1;
	char s[100];

	while (contact != '\0')
	{
		sprintf(s,"%i",i);//.arg(i);
		(void) new QListViewItem(ContactView, s, contact->lastname(), contact->firstname(), contact->adress(), contact->phoneNumber());
		contact = contact->getNext();
		i++;
	}
}
